Show / Hide Table of Contents

# Class OpenIddictServerAspNetCoreFeature

Exposes the current server transaction to the ASP.NET Core host.

##### Inheritance

System.Object
OpenIddictServerAspNetCoreFeature

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ToString()
System.Object.ReferenceEquals(System.Object, System.Object)

###### Namespace: OpenIddict.Server.AspNetCore

###### Assembly: cs.temp.dll.dll

##### Syntax

    public class OpenIddictServerAspNetCoreFeature

### Properties

#### Transaction

Gets or sets the server transaction that encapsulates all specific information about an individual OpenID Connect server request.

##### Declaration

    public OpenIddictServerTransaction Transaction { get; set; }

##### Property Value

Type | Description
--- | ---
OpenIddictServerTransaction |